%define major 2

Summary:	A Tk toolkit extension, including widgets, geometry managers, etc.
Name:		blt
Version:	2.4u
Release:	4mdk
License:	MIT
Group:		System/Libraries

Source0:	BLT2.4u.tar.bz2
Patch0:		BLT2.4u-configure.in-disable-rpath.patch.bz2

Requires:	lib%name%major
BuildRequires:  XFree86-devel tcl tk
BuildRoot:	%_tmppath/%name-%version-root

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

%package -n lib%name%major
Summary:	Libraries needed to use BLT
Group:		System/Libraries

%description -n lib%name%major
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

This package provides libraries needed to use BLT.

%package -n lib%name%major-devel
Summary:	Headers of BLT
Group:		Development/Other
Requires:	%name = %version-%release
Obsoletes:	blt-devel
Provides:	blt-devel

%description -n lib%name%major-devel
BLT is an extension to the Tk toolkiy. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to any patching
of the Tcl or Tk source file to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

This package provides headers needed to build packages based on BLT.

%prep

%setup -q -n %name%version
%patch0 -p1

%build
autoconf
%configure

%make 

%install
install -d $RPM_BUILD_ROOT/%_prefix
install -d $RPM_BUILD_ROOT/%_datadir

%makeinstall

ln -sf libBLT24.so $RPM_BUILD_ROOT%_libdir/libBLT.so.2.4
ln -sf libBLT.so.2.4 $RPM_BUILD_ROOT%_libdir/libBLT.so
ln -sf bltwish24 $RPM_BUILD_ROOT%_bindir/bltwish2.4

# Dadou - 2.4u-2mdk - Don't put in %%_libdir things wish should be in %%_docdir
rm -fr $RPM_BUILD_ROOT/%_libdir/blt2.4/demos
rm -fr $RPM_BUILD_ROOT/%_libdir/blt2.4/NEWS
rm -fr $RPM_BUILD_ROOT/%_libdir/blt2.4/PROBLEMS
rm -fr $RPM_BUILD_ROOT/%_libdir/blt2.4/README

# Dadou - 2.4u-2mdk - Remove +x permissions in %%_docdir to be sure that RPM
#                     will don't want some strange dependencies
perl -pi -e "s|local/||" $RPM_BUILD_DIR/%name%version/demos/scripts/page.tcl
perl -pi -e "s|local/||" $RPM_BUILD_DIR/%name%version/html/hiertable.html

# Dadou - 2.4u-2mdk - Prevent conflicts with other packages
mv $RPM_BUILD_ROOT/%_mandir/mann/tabset.n $RPM_BUILD_ROOT/%_mandir/mann/tabset-blt.n
mv $RPM_BUILD_ROOT/%_mandir/mann/watch.n $RPM_BUILD_ROOT/%_mandir/mann/watch-blt.n
mv $RPM_BUILD_ROOT/%_mandir/mann/graph.n $RPM_BUILD_ROOT/%_mandir/mann/graph-blt.n
mv $RPM_BUILD_ROOT/%_mandir/mann/bitmap.n $RPM_BUILD_ROOT/%_mandir/mann/bitmap-blt.n

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc MANIFEST NEWS PROBLEMS README
%doc demos/
%doc examples/
%doc html/
%_bindir/*
%_mandir/mann/*

%files -n lib%name%major
%defattr(-,root,root,-)
%_libdir/*.so*

%files -n lib%name%major-devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/*.a

%changelog
* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4u-4mdk
- Libdification
- Disable rpath
- Remove documentation which was put in %%_libdir
- Prevent request on strange dependencies
- Prevent conflicts with other packages

* Sun Dec 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4u-3mdk
- remove file conflict by renaming the manual file

* Sun Dec 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4u-2mdk
- Add a changelog for Stefan <s.vandereijk@chello.nl> who was too hasty
  to have forgotten to add one :) - make it use /usr/bin/tclsh, not
  /usr/local/bin/tclsh

* Fri Dec 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4u-1mdk
- 2.4u

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4i-13mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4i-12mdk
- rebuild to remove duplicate manpage which is provided by tcllib (stefan)

* Tue Aug 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4i-11mdk
- macroszifications
- BM

* Tue May 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4i-10mdk
- fixed broken symlink

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4i-9mdk
- fixed group

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Mon Jul 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s|local/bin/tclsh|bin/tclsh|

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.4i
- set some compatibility links

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- obsolete blt-devel

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- remove watch.n, tabset.n (conflicts with itcl)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4g
- buildrooted

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- stripped binaries
